com.fasterxml.jackson.databind.util

## Class EmptyIterator<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.util.EmptyIterator<T>

All Implemented Interfaces:
  Iterator<T>

    public class EmptyIterator<T>
    extends Object
    implements Iterator<T>

Implementation of `Iterator` for Empty collections. While JDK has an implementation starting with 1.7, we need this class until then.

Since:
  2.2 (before, we had embedded instances)

### Method Summary

Methods
`boolean` `hasNext()`
`static <T> Iterator<T>` `instance()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static <T> Iterator<T> instance()

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`